ob_tidyhandler
tidy_clean_repair
Tidy Functions
PHP Manual

# tidy_access_count

(PHP 5, PECL tidy:0.5.2-1.2)

tidy_access_count — Returns the Number of Tidy accessibility warnings encountered for specified document

### Description

int tidy_access_count ( tidy `$object` )

tidy_access_count() returns the number of accessibility warnings found for the specified document.

### Parameters

`object`

  The Tidy object.

### Return Values

Returns the number of warnings.

### Examples

Example #1 tidy_access_count() example

`<?php
$html ='<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 3.2//EN">
<html><head><title>Title</title></head>
<body>
<p><img src="img.png"></p>
</body></html>';
// select the accessibility check level: 1, 2 or 3
$config = array('accessibility-check' => 3);
$tidy = new tidy();
$tidy->parseString($html, $config);
$tidy->CleanRepair();
/* Never forget to call this! */
$tidy->diagnose();
echo tidy_access_count($tidy); //5
?>`

### Notes

> Note: Due to the design of the TidyLib, you must call tidy_diagnose() before tidy_access_count() or it will return always 0. You must also need to enable the accessibility-check option.

### See Also

- tidy_error_count()
- tidy_warning_count()

ob_tidyhandler
tidy_clean_repair
Tidy Functions
PHP Manual